Skip to main content

Gets the image list for multiple devices

POST /v1/image/devices/list

Summary

Gets the image list for multiple devices.

Details

Request body: JSON object.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

Required: Yes

application/json

  • deviceIDList (array<integer (int64)>, optional)
    • array of integer (int64)
      • integer (int64)
  • startEpoch (integer (int64), optional)
  • endEpoch (integer (int64), optional)
  • count (integer (int64), optional)
  • order (string, optional)

Example

{
"deviceIDList": [
1
],
"startEpoch": 1711800000,
"endEpoch": 1711800000,
"count": 25,
"order": "Example value"
}

Responses

200

Success

application/json

  • array of Image
    • key (integer (int64), optional)
    • deviceID (integer (int64), optional)
    • fileID (integer (int64), optional)
    • imageStatus (integer (int64), optional)
    • imageTypeID (integer (int64), optional)
    • localFilePath (string, optional)
    • height (integer (int64), optional)
    • width (integer (int64), optional)
    • filesize (integer (int64), optional)
    • startTime (integer (int64), optional)
    • startTimeMs (integer (int64), optional)
    • tagListID (integer (int64), optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"deviceID": 201,
"fileID": 1,
"imageStatus": 1,
"imageTypeID": 1,
"localFilePath": "Example value",
"height": 1,
"width": 1,
"filesize": 1,
"startTime": 1,
"startTimeMs": 1,
"tagListID": 1,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]